<?php

class Inchoo_Cpa_Block_Cat_Edit_Tabs extends Mage_Adminhtml_Block_Widget_Tabs
{

    public function __construct()
    {
        parent::__construct();
        $this->setId('cpa_tabs');
        $this->setDestElementId('edit_form');
        $this->setTitle(Mage::helper('cpa')->__('Gallery Tab Information'));
    }

    protected function _beforeToHtml()
    {
        $this->addTab('info_section', array(
            'label'     => Mage::helper('cpa')->__('Gallery Category'),
            'title'     => Mage::helper('cpa')->__('Gallery Category Image'),
            'content'   => $this->getLayout()->createBlock('cpa/cat_edit_tab_info')->toHtml(),
            'active'    => false
        ));

        $this->addTab('images_section', array(
            'label'     => Mage::helper('cpa')->__('Gallery Category Images'),
            'title'     => Mage::helper('cpa')->__('Gallery Category Images'),
            'content'   => $this->getLayout()->createBlock('cpa/cat_edit_tab_images')->toHtml(),
            'active'    => true
        ));
        return parent::_beforeToHtml();
    }

}
